package com.sunxung.factoring.entity.underlying;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * 底层管理-审核表
 *
 * @author liutao
 * @date 2021.10.11
 */
@TableName("underlying_approval")
public class UnderlyingApproval extends BaseEntity {

    /**
     * 底层管理基础信息Id
     */
    @TableField("underlying_basic_info_id")
    private Long underlyingBasicInfoId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;
    /**
     * 审核人Id
     */
    @TableField("auditor_id")
    private Long auditorId;


    public UnderlyingApproval() {
    }

    public Long getUnderlyingBasicInfoId() {
        return underlyingBasicInfoId;
    }

    public void setUnderlyingBasicInfoId(Long underlyingBasicInfoId) {
        this.underlyingBasicInfoId = underlyingBasicInfoId;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }
}
